Skip to content

Create bulk envelope stage recipient

Request

Creates a new recipient for the specified bulk envelope stage. Standard-mode stages accept both Standard and Automatic recipients; Bulk-mode stages accept Standard recipients only and reject Automatic recipients with 422.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

bulkEnvelopeIdstring, (uuid)required
stageIdstring, (uuid)required

Unique identifier of the stage

Bodyapplication/jsonrequired
One of:

Request to create an automatic recipient on a bulk envelope stage.

languageCodestring or null

BCP 47 language code for recipient notifications.

Example:"en"
signatureProfilestring or null

Signature profile name for the automatic recipient.

Example:"default-eseal-profile"
metadataArray of objects or null(RecipientMetadataEntry)

Recipient-level metadata injected into the workstep XML as additional client workstep information.

signatureReasonstring or null

Reason displayed at the recipient signing step.

Example:"I agree to the terms."
typestringrequired
Default:"Automatic"
Value:"Automatic"
Example:"Automatic"
POST
/api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/stages/{stageId}/recipients
curl -i -X POST \
  '/api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/stages/{stageId}/recipients' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "type": "Automatic",
    "signatureProfile": "default-eseal-profile",
    "signatureReason": "I agree to the terms.",
    "languageCode": "en"
  }'

Responses

Created

Bodyapplication/json
idstring, (uuid)required

The ID of the created recipient.

Example:"00000000-0000-0000-0000-000000000100"
Response
{ "id": "00000000-0000-0000-0000-000000000100" }